Uploaded image for project: 'Commons IO'
  1. Commons IO
  2. IO-204

Manifest for OSGi has invalid syntax

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.4
    • Fix Version/s: 2.0
    • Component/s: None
    • Labels:
      None

      Description

      I just posted an issue for FileUpload that had the same problem. The manifest for IO that specifies the export-package and import-package has an invalid syntax. Extra attributes such as "version" and "uses" need to have quotes around them. E.g. com.xyz;version="1.4";uses=:"com.abc".

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              bjornharvold Bjorn Harvold
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: